
From: "Nguyen, Tom L" <tom.l.nguyen@intel.com>

The kernel 2.6.7-rc2-mm2 redefines FIRST_SYSTEM_VECTOR from 0xef to 0xee;
as a result of this change, you saw the warnings because my patch was based
on kernel 2.6.7.rc1.  Below patch will fix the warnings.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/arch/x86_64/kernel/i8259.c |   14 ++++++++------
 1 files changed, 8 insertions(+), 6 deletions(-)

diff -puN arch/x86_64/kernel/i8259.c~fix-and-reenable-msi-support-on-x86_64-fix arch/x86_64/kernel/i8259.c
--- 25/arch/x86_64/kernel/i8259.c~fix-and-reenable-msi-support-on-x86_64-fix	2004-06-07 22:13:36.578645608 -0700
+++ 25-akpm/arch/x86_64/kernel/i8259.c	2004-06-07 22:13:36.581645152 -0700
@@ -48,11 +48,11 @@
 	BI(x,8) BI(x,9) BI(x,a) BI(x,b) \
 	BI(x,c) BI(x,d) BI(x,e) BI(x,f)
 
-#define BUILD_15_IRQS(x) \
+#define BUILD_14_IRQS(x) \
 	BI(x,0) BI(x,1) BI(x,2) BI(x,3) \
 	BI(x,4) BI(x,5) BI(x,6) BI(x,7) \
 	BI(x,8) BI(x,9) BI(x,a) BI(x,b) \
-	BI(x,c) BI(x,d) BI(x,e)
+	BI(x,c) BI(x,d)
 
 /*
  * ISA PIC or low IO-APIC triggered (INTA-cycle or APIC) interrupts:
@@ -77,12 +77,13 @@ BUILD_16_IRQS(0x8) BUILD_16_IRQS(0x9) BU
 BUILD_16_IRQS(0xc) BUILD_16_IRQS(0xd)
 
 #ifdef CONFIG_PCI_USE_VECTOR
-	BUILD_15_IRQS(0xe)
+	BUILD_14_IRQS(0xe)
 #endif
 
 #endif
 
 #undef BUILD_16_IRQS
+#undef BUILD_14_IRQS
 #undef BI
 
 
@@ -95,11 +96,11 @@ BUILD_16_IRQS(0xc) BUILD_16_IRQS(0xd)
 	IRQ(x,8), IRQ(x,9), IRQ(x,a), IRQ(x,b), \
 	IRQ(x,c), IRQ(x,d), IRQ(x,e), IRQ(x,f)
 
-#define IRQLIST_15(x) \
+#define IRQLIST_14(x) \
 	IRQ(x,0), IRQ(x,1), IRQ(x,2), IRQ(x,3), \
 	IRQ(x,4), IRQ(x,5), IRQ(x,6), IRQ(x,7), \
 	IRQ(x,8), IRQ(x,9), IRQ(x,a), IRQ(x,b), \
-	IRQ(x,c), IRQ(x,d), IRQ(x,e)
+	IRQ(x,c), IRQ(x,d)
 
 void (*interrupt[NR_IRQS])(void) = {
 	IRQLIST_16(0x0),
@@ -111,7 +112,7 @@ void (*interrupt[NR_IRQS])(void) = {
 	IRQLIST_16(0xc), IRQLIST_16(0xd)
 
 #ifdef CONFIG_PCI_USE_VECTOR
-	, IRQLIST_15(0xe)
+	, IRQLIST_14(0xe)
 #endif
 
 #endif
@@ -119,6 +120,7 @@ void (*interrupt[NR_IRQS])(void) = {
 
 #undef IRQ
 #undef IRQLIST_16
+#undef IRQLIST_14
 
 /*
  * This is the 'legacy' 8259A Programmable Interrupt Controller,
_
